## org.apache.mahout.math.matrix.impl
Class AbstractMatrix

    java.lang.Object
      org.apache.mahout.math.PersistentObject
          org.apache.mahout.math.matrix.impl.AbstractMatrix

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AbstractMatrix1D, AbstractMatrix2D, AbstractMatrix3D

Deprecated. until unit tests are in place. Until this time, this class/interface is unsupported.

    @Deprecated
    public abstract class AbstractMatrix

extends org.apache.mahout.math.PersistentObject

See Also:
  Serialized Form

Field Summary
`protected boolean` `isNoView` Deprecated.

Constructor Summary
`protected` `AbstractMatrix()` Deprecated. Makes this class non instantiable, but still let's others inherit from it.

Method Summary
`void` `ensureCapacity(int minNonZeros)` Deprecated. Ensures that the receiver can hold at least the specified number of non-zero (non-null) cells without needing to allocate new internal memory.
`protected boolean` `isView()` Deprecated. Returns whether the receiver is a view or not.
`abstract int` `size()` Deprecated. Returns the number of cells.
`void` `trimToSize()` Deprecated. Releases any superfluous internal memory.

Methods inherited from class org.apache.mahout.math.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isNoView

    protected boolean isNoView

  Deprecated.

Constructor Detail

### AbstractMatrix

    protected AbstractMatrix()

  Deprecated.
  Makes this class non instantiable, but still let's others inherit from it.

Method Detail

### ensureCapacity

    public void ensureCapacity(int minNonZeros)

  Deprecated.
  Ensures that the receiver can hold at least the specified number of non-zero (non-null) cells without needing to allocate new internal memory. If necessary, allocates new internal memory and increases the capacity of the receiver.

  This default implementation does nothing. Override this method if necessary.

  Parameters:
    `minNonZeros` - the desired minimum number of non-zero (non-null) cells.

### isView

    protected boolean isView()

  Deprecated.
  Returns whether the receiver is a view or not.

### size

    public abstract int size()

  Deprecated.
  Returns the number of cells.

### trimToSize

    public void trimToSize()

  Deprecated.
  Releases any superfluous internal memory. An application can use this operation to minimize the storage of the receiver.

  This default implementation does nothing. Override this method if necessary.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.